Package com.io7m.cedarbridge.runtime.api

# Interface CBSerializationContextInputType

All Known Subinterfaces:
  `CBSerializationContextType`

All Known Implementing Classes:
  `CBSerializationContextBSSIO`, `CBSerializationContextSize`

public interface CBSerializationContextInputType
The serialization context related to reading values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ByteBuffer`
  `readByteArray()`
  Read a byte array.
  `double`
  `readF16()`
  Read a floating point 16-bit value
  `double`
  `readF32()`
  Read a floating point 32-bit value
  `double`
  `readF64()`
  Read a floating point 64-bit value
  `int`
  `readS16()`
  Read a signed 16-bit value
  `int`
  `readS32()`
  Read a signed 32-bit value
  `long`
  `readS64()`
  Read a signed 64-bit value
  `int`
  `readS8()`
  Read a signed 8-bit value
  `int`
  `readSequenceLength()`
  Read a sequence length
  `int`
  `readU16()`
  Read an unsigned 16-bit value
  `long`
  `readU32()`
  Read an unsigned 32-bit value
  `long`
  `readU64()`
  Read an unsigned 64-bit value
  `int`
  `readU8()`
  Read an unsigned 8-bit value
  `String`
  `readUTF8()`
  Read a UTF-8 string.
  `int`
  `readVariantIndex()`
  Read a variant index

- ## Method Details

  - ### readSequenceLength

    int readSequenceLength() throws IOException
    Read a sequence length
    Returns:
      The length
    Throws:
      `IOException` - On I/O errors

  - ### readVariantIndex

    int readVariantIndex() throws IOException
    Read a variant index
    Returns:
      The index
    Throws:
      `IOException` - On I/O errors

  - ### readS64

    long readS64() throws IOException
    Read a signed 64-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readS32

    int readS32() throws IOException
    Read a signed 32-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readS16

    int readS16() throws IOException
    Read a signed 16-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readS8

    int readS8() throws IOException
    Read a signed 8-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readU64

    long readU64() throws IOException
    Read an unsigned 64-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readU32

    long readU32() throws IOException
    Read an unsigned 32-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readU16

    int readU16() throws IOException
    Read an unsigned 16-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readU8

    int readU8() throws IOException
    Read an unsigned 8-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readF64

    double readF64() throws IOException
    Read a floating point 64-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readF32

    double readF32() throws IOException
    Read a floating point 32-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readF16

    double readF16() throws IOException
    Read a floating point 16-bit value
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readByteArray

    ByteBuffer readByteArray() throws IOException
    Read a byte array.
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors

  - ### readUTF8

    String readUTF8() throws IOException
    Read a UTF-8 string.
    Returns:
      The value
    Throws:
      `IOException` - On I/O errors